Subject: bug#47190: closed (Re: bug#47190: Building git fails because of a hash mismatch)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 16 Mar 2021 13:07:02 +0000

Your bug report

#47190: Building git fails because of a hash mismatch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47190: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47190
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47190: Building git fails because of a hash mismatch
From: Léo Le Bouter <[email-masked]>
To: Konrad Hinsen <[email-masked]>, [email-masked]
Date: Tue, 16 Mar 2021 14:06:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 2021-03-16 at 13:57 +0100, Konrad Hinsen wrote:
> With Guix commit (ab9629b7c91ff7d6392a03512cfe442823267777), building
> git fails because of a hash mismatch when downloading the man pages
> (see
> log below). 
> 

Yes, this is fixed by 0ee5d4f7a8e25be437297f88ed7013c4f37abafb, simply
"guix pull", there's nothing we can do to the older commits.

I upgraded the git package then fixed the hash of git-manpages as well
(which uses git's version variable, so it makes a cascading change),
but then I forgot to amend my previous commit with the fix and pushed
anyway, then I realized that and made another commit.

Subject: Building git fails because of a hash mismatch
From: Konrad Hinsen <[email-masked]>
To: [email-masked]
Date: Tue, 16 Mar 2021 13:57:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With Guix commit (ab9629b7c91ff7d6392a03512cfe442823267777), building
git fails because of a hash mismatch when downloading the man pages (see
log below). I'd be happy to submit a patch that updates the hash, but
it's perhaps worth figuring out first what went wrong here.

Konrad.

building /gnu/store/lml7vf4rqr9g08bkfwbs3hrchv90zvpb-git-manpages-2.31.0.tar.xz.drv...
downloading from http://linux-kernel.uio.no/pub/software/scm/git/git-manpages-2.31.0.tar.xz ...
-sha256 hash mismatch for /gnu/store/cp276zg8yn1v0psi49d8ivib41cv99ya-git-manpages-2.31.0.tar.xz:
  expected hash: 1aiabqbc6mg23r19g2cwd4iajf55cpkxqylwn14hgpg64piaqr2y
  actual hash:   1v40wwj130k76xf2w6vwhvfpkk765q1gcy5bqcrqssxf66ydqp8q
hash mismatch for store item '/gnu/store/cp276zg8yn1v0psi49d8ivib41cv99ya-git-manpages-2.31.0.tar.xz'
build of /gnu/store/lml7vf4rqr9g08bkfwbs3hrchv90zvpb-git-manpages-2.31.0.tar.xz.drv failed